Package net.shibboleth.saml.profile.config.navigate

# Class AssertionAudiencesLookupFunction

java.lang.Object
net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction<Set<String>>
net.shibboleth.saml.profile.config.navigate.AssertionAudiencesLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,Set<String>>`, `ContextDataLookupFunction<ProfileRequestContext,Set<String>>`

public class AssertionAudiencesLookupFunction extends AbstractRelyingPartyLookupFunction<Set<String>>
A function that returns `SAMLAssertionProducingProfileConfiguration.getAssertionAudiences(ProfileRequestContext)` if such a profile is available from a `RelyingPartyContext` obtained via a lookup function, by default a child of the `ProfileRequestContext`.

If a specific setting is unavailable, a null value is returned.

## Constructor Summary

Constructors
Constructor
Description
`AssertionAudiencesLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`apply(ProfileRequestContext input)`

### Methods inherited from class net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### AssertionAudiencesLookupFunction

public AssertionAudiencesLookupFunction()

## Method Details

### apply

@Nullable @NotLive @Unmodifiable public Set<String> apply(@Nullable ProfileRequestContext input)